/**
 * InfoViewtabexppanel 部件模型
 *
 * @export
 * @class InfoViewtabexppanelModel
 */
export default class InfoViewtabexppanelModel {

  /**
    * 获取数据项集合
    *
    * @returns {any[]}
    * @memberof InfoViewtabexppanelModel
    */
  public getDataItems(): any[] {
    return [
      {
        name: 'eamasset',
        prop: 'assetid',
      },
      {
        name: 'assetname',
      },
      {
        name: 'createdate',
      },
      {
        name: 'createman',
      },
      {
        name: 'updatedate',
      },
      {
        name: 'updateman',
      },
      {
        name: 'eamassettypeid',
      },
      {
        name: 'eamlocationid',
      },
      {
        name: 'passetid',
      },
      {
        name: 'eamassettypename',
      },
      {
        name: 'eamlocationname',
      },
      {
        name: 'eamassetstateid',
      },
      {
        name: 'eamassetstatename',
      },
      {
        name: 'passetname',
      },
      {
        name: 'assetnumber',
      },
      {
        name: 'description',
      },
    ]
  }


}