/**
 * IF_001 部件模型
 *
 * @export
 * @class IF_001Model
 */
export default class IF_001Model {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof IF_001Model
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'workorderid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'workordername',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'wonumber',
        prop: 'wonumber',
        dataType: 'TEXT',
      },
      {
        name: 'workordername',
        prop: 'workordername',
        dataType: 'TEXT',
      },
      {
        name: 'eamwotypename',
        prop: 'eamwotypename',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'pworkordername',
        prop: 'pworkordername',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'eamservicelevelname',
        prop: 'eamservicelevelname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'mdate',
        prop: 'mdate',
        dataType: 'DATETIME',
      },
      {
        name: 'eamwooriginname',
        prop: 'wooriginname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'orgname',
        prop: 'orgname',
        dataType: 'TEXT',
      },
      {
        name: 'deptname',
        prop: 'deptname',
        dataType: 'TEXT',
      },
      {
        name: 'orgid',
        prop: 'orgid',
        dataType: 'TEXT',
      },
      {
        name: 'deptid',
        prop: 'deptid',
        dataType: 'TEXT',
      },
      {
        name: 'assetname',
        prop: 'assetname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'eamlocationname',
        prop: 'eamlocationname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'wodate',
        prop: 'wodate',
        dataType: 'DATETIME',
      },
      {
        name: 'begintime',
        prop: 'begintime',
        dataType: 'DATETIME',
      },
      {
        name: 'endtime',
        prop: 'endtime',
        dataType: 'DATETIME',
      },
      {
        name: 'worklength',
        prop: 'worklength',
        dataType: 'FLOAT',
      },
      {
        name: 'eamlocationid',
        prop: 'eamlocationid',
        dataType: 'PICKUP',
      },
      {
        name: 'workorderid',
        prop: 'workorderid',
        dataType: 'GUID',
      },
      {
        name: 'assetid',
        prop: 'assetid',
        dataType: 'PICKUP',
      },
      {
        name: 'eamworkorder',
        prop: 'workorderid',
        dataType: 'FONTKEY',
      },
    ]
  }

}